> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Batches

> A `GET` to the `/batches` endpoint allows your application to retrieve import batches with item success and failure counts.



## OpenAPI

````yaml get /v3/batches
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/batches:
    get:
      tags:
        - Batch
      summary: Browse Batches
      description: >-
        A `GET` to the `/batches` endpoint allows your application to retrieve
        import batches with item success and failure counts.
      operationId: batch.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `Batch`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Batch'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Batch:
      type: object
      properties:
        id:
          type: string
        import_job_id:
          type:
            - integer
            - 'null'
        entity_type:
          type: string
        total_count:
          type: integer
        status:
          type: string
        success_count:
          type: string
        failed_count:
          type: string
        processed_count:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/BatchItem'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - import_job_id
        - entity_type
        - total_count
        - status
        - success_count
        - failed_count
        - processed_count
        - created_at
        - updated_at
      title: Batch
    BatchItem:
      type: object
      properties:
        id:
          type: integer
        entity_id:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        status:
          type: string
        error:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - entity_id
        - external_id
        - status
        - error
        - created_at
        - updated_at
      title: BatchItem
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````